"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.showLoaderInfo = showLoaderInfo;
exports.showLoader = showLoader;
exports.showTxLoading = showTxLoading;

var _locale = _interopRequireDefault(require("../utils/locale"));

var _lang = _interopRequireDefault(require("../data/lang"));

function _createForOfIteratorHelperLoose(o, allowArrayLike) { var it = typeof Symbol !== "undefined" && o[Symbol.iterator] || o["@@iterator"]; if (it) return (it = it.call(o)).next.bind(it); if (Array.isArray(o) || (it = _unsupportedIterableToArray(o)) || allowArrayLike && o && typeof o.length === "number") { if (it) o = it; var i = 0; return function () { if (i >= o.length) return { done: true }; return { done: false, value: o[i++] }; }; } throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function showLoaderInfo() {
  var loaderEl = document.getElementsByClassName('loader')[0];
  var circularEl = document.createElement('div');
  circularEl.className = 'circular';
  loaderEl.appendChild(circularEl);
  var warnContainerEl = document.createElement('div');
  warnContainerEl.className = 'warn-container';
  var warnRedEl = document.createElement('div');
  warnRedEl.className = 'warn-red';
  var warnEl = document.createElement('span');
  warnEl.className = 'warn';
  warnEl.innerHTML = _lang["default"][_locale["default"]] && _lang["default"][_locale["default"]]['loaderWarn'];
  warnContainerEl.appendChild(warnRedEl);
  warnContainerEl.appendChild(warnEl);
  loaderEl.appendChild(warnContainerEl);
  var contentEl = document.createElement('div');
  contentEl.className = 'content';
  var titleContainerEl = document.createElement('div');
  titleContainerEl.className = 'title-container';
  var titleWarnEl = document.createElement('div');
  titleWarnEl.className = 'title-warn';
  var titleEl = document.createElement('span');
  titleEl.className = 'title';
  titleEl.innerHTML = _lang["default"][_locale["default"]] && _lang["default"][_locale["default"]]['loaderTitle'];
  titleContainerEl.appendChild(titleWarnEl);
  titleContainerEl.appendChild(titleEl);
  contentEl.appendChild(titleContainerEl);
  var tips = _lang["default"][_locale["default"]] && _lang["default"][_locale["default"]]['loaderTips'];
  var tipsEl = document.createElement('ul');
  tipsEl.setAttribute('class', 'tips');

  var _loop = function _loop() {
    var tip = _step.value;
    var tipEl = document.createElement('li');
    tipEl.setAttribute('class', 'tip');
    var tipContainerEl = document.createElement('div');
    tipContainerEl.setAttribute('class', 'tip-container');
    var tipTitleEl = document.createElement('span');
    tipTitleEl.setAttribute('class', 'tip-title');
    tipTitleEl.innerHTML = tip.tip;
    var slideEl = document.createElement('div');
    slideEl.setAttribute('class', 'slide');
    slideEl.style.transform = 'rotate(180deg)';
    tipContainerEl.appendChild(tipTitleEl);
    tipContainerEl.appendChild(slideEl);
    var subtipsEl = document.createElement('ul');
    subtipsEl.setAttribute('class', 'subtips');
    subtipsEl.setAttribute('style', 'display: none');

    for (var _iterator2 = _createForOfIteratorHelperLoose(tip.subtip), _step2; !(_step2 = _iterator2()).done;) {
      var subtip = _step2.value;
      var subtipEl = document.createElement('li');
      subtipEl.setAttribute('class', 'subtip');
      var spanEl = document.createElement('span');
      spanEl.innerHTML = subtip.text;
      subtipEl.appendChild(spanEl);

      if (subtip.link) {
        var aEl = document.createElement('a');
        aEl.setAttribute('href', subtip.url);
        aEl.setAttribute('target', '_blank');
        subtipEl.appendChild(aEl);
      }

      subtipsEl.appendChild(subtipEl);
    }

    tipEl.appendChild(tipContainerEl);
    tipEl.appendChild(subtipsEl);
    tipsEl.appendChild(tipEl);
    tipContainerEl.addEventListener('click', function () {
      var currentSubtipsElDisplay = subtipsEl.style.display;
      var subtipsEls = tipsEl.getElementsByClassName('subtips');

      for (var _iterator3 = _createForOfIteratorHelperLoose(subtipsEls), _step3; !(_step3 = _iterator3()).done;) {
        var item = _step3.value;
        item.style.display = 'none';
      }

      subtipsEl.style.display = currentSubtipsElDisplay === 'none' ? 'block' : 'none';
      slideEl.style.transform = currentSubtipsElDisplay === 'none' ? 'rotate(0deg)' : 'rotate(180deg)';
    });
  };

  for (var _iterator = _createForOfIteratorHelperLoose(tips), _step; !(_step = _iterator()).done;) {
    _loop();
  }

  contentEl.appendChild(tipsEl);
  var descEl = document.createElement('div');
  descEl.className = 'desc';
  var desc1El = document.createElement('span');
  desc1El.className = 'desc1';
  var desc2El = document.createElement('span');
  desc1El.className = 'desc2';
  var contactEl = document.createElement('a');
  contactEl.className = 'contact';
  contactEl.setAttribute('target', '_blank');
  contactEl.setAttribute('href', _locale["default"] === 'zh' || _locale["default"] === 'zh_TW' ? 'https://help.tokenpocket.pro/cn/contact-us/contact-methods' : 'https://help.tokenpocket.pro/en/contact-us/contact-methods');
  desc1El.innerHTML = _lang["default"][_locale["default"]] && _lang["default"][_locale["default"]]['desc1'];
  contactEl.innerHTML = _lang["default"][_locale["default"]] && _lang["default"][_locale["default"]]['contact'];
  desc2El.innerHTML = _lang["default"][_locale["default"]] && _lang["default"][_locale["default"]]['desc2'];
  descEl.appendChild(desc1El);
  descEl.appendChild(contactEl);
  descEl.appendChild(desc2El);
  contentEl.appendChild(descEl);
  loaderEl.appendChild(contentEl);
}

function showLoader() {
  var loaderEl = document.getElementsByClassName('loader')[0];
  loaderEl.style.height = '100%';
  loaderEl.style.justifyContent = 'center';
  var circularEl = document.createElement('div');
  circularEl.className = 'circular';
  loaderEl.appendChild(circularEl);
}

function showTxLoading() {
  var loaderEl = document.getElementsByClassName('loader')[0];
  loaderEl.classList.add('pin-confirm-loader');
  var titleEl = document.createElement('p');
  titleEl.className = 'title';
  titleEl.innerText = '您的交易正在处理中';
  var descEl = document.createElement('p');
  descEl.className = 'desc';
  descEl.innerText = '可以在交易历史中查看这笔订单';
  var closeEl = document.createElement('button');
  closeEl.innerText = _lang["default"][_locale["default"]]['ok'];
  loaderEl.appendChild(titleEl);
  loaderEl.appendChild(descEl);
  loaderEl.appendChild(closeEl);

  closeEl.onclick = function () {
    window.closeWindow();
  };
}