"use strict";

exports.__esModule = true;
exports["default"] = void 0;
var messages = {
  en: {
    viewAddress: 'Authorization to view addresses',
    loaderWarn: 'To ensure effective communication, please don\'t refresh directly',
    loaderTitle: 'Please check the following if keep loading:',
    loaderTips: [{
      tip: 'Please exit related software and pages about other hardware wallet',
      subtip: [{
        text: '1. Please exit the browser tabs with domain names ending with KeyPal, such as connect.keypal.pro, etc.'
      }, {
        text: '2. MAC system users need to right-click \'completely exit\' on the Dock lab when they exit the TokenPocket desktop.'
      }]
    }, {
      tip: 'Confirm that KeyPal Bridge is installed and started',
      subtip: [{
        text: '1. Confirm the starting state of KeyPal Bridge, ',
        link: 'click here.',
        url: 'http://127.0.0.1:25325/status/'
      }, {
        text: '2. Windows system users should pay attention to antivirus such as 360 total security/360 soft which may forbid or delete KeyPal Bridge. You need to add KeyPal Bridge to whitelist or restart it to get communication.' // link: '了解更多',
        // url: 'https://www.baidu.com'

      }]
    }, {
      tip: 'Close other page with connect.keypal.pro',
      subtip: [{
        text: 'Please make sure that only one connect.keypal.so page is trying to link hardware through USB at a time. please close other tab pages relate to connect.keypal.so.'
      }]
    }],
    desc1: 'If all of the above have been tried and still can\'t work, ',
    contact: 'please contact us',
    desc2: ' and give your details to us.',
    warn: 'Tips',
    warnDesc: 'A new KeyPal Bridge version has been released',
    updateBridge: 'Update',
    read: 'Read public keys from KeyPal device',
    readTip: 'Permission needed to load public information from your server',
    allow: 'Allow',
    permissionsTo: 'permissions to: ',
    notAskAgain: 'Don\'t ask me again',
    alwaysAllow: 'Always allow for this service',
    allowOnce: 'Allow once for this session',
    exportMultiplePublicKeys: 'Export multiple public keys',
    exportPublicKey1: 'Export public key of ',
    exportPublicKey2: '',
    account: 'Account',
    installBridgeTitle: 'Install the latest version of KeyPal Bridge',
    installBridgeDesc: 'KeyPal Bridge is a communication tool between browser and hardware. We have fixed some problems with it. Now download the latest version, which can help the KeyPal hardware device to connect with browser correctly',
    installKeypal: 'Install now',
    connectToContinue: 'Connect KeyPal to continue',
    upgradeFirmwareTitle: 'Firmware upgrade tips',
    upgradeFirmwareDesc: 'Version 2.1.6 or above supports TokenPocket extension connection, please upgrade your hardware device',
    upgradeFirmware: 'Upgrade firmware',
    write: 'Prepare KeyPal device for transaction and data signing',
    writeTip: 'Permission needed to excute operations, such as composing a transaction, after your confirmation',
    pinTitle1: 'Enter PIN for ',
    pinTitle2: '',
    pinDesc: 'The PIN layout is displayed on your KeyPal',
    inputPin: 'Please enter your PIN',
    followDevice: 'Follow instructions on your device',
    cancel: 'Cancel',
    "export": 'Export',
    signTransaction: 'Sign transaction',
    enterPin: 'Enter your PIN',
    connectedDevice: 'Connected device',
    inactiveDevice: 'Inactive device',
    activeDevice: 'Click to activate',
    findDevice: 'Detected devices',
    connectDevice: 'Connect',
    paired: 'Matched',
    unreadableDevice: 'Unrecognized device',
    unreadableDeviceWarn: 'It cannot be recognixed now. Having any questions about it, you can contact us by clicking the link on the page.',
    connectProblem: 'Having trouble connecting? ',
    getHelp: 'Get help',
    linuxUnreadable: 'It cannot be recognized now. You need to execute the code in computer to complete the device recognization. ',
    viewDetail: 'Learn more.',
    unreadableDeviceDesc1: 'It Requires to execute the code in computer to complete the device recognization. You can ',
    unreadableDeviceDesc2: 'contact us',
    unreadableDeviceDesc3: ' for help',
    ok: 'ok',
    copy: 'copy',
    copied: 'Copied',
    Method_PermissionsNotGranted: 'Permissions not granted',
    Method_Cancel: 'Cancelled',
    Method_Interrupted: 'Popup closed',
    Method_UnknownCoin: 'Coin not found',
    Method_AddressNotMatch: 'Addresses do not match',
    Device_NotFound: 'Device not found',
    Device_Disconnected: 'Device disconnected',
    Device_UsedElsewhere: 'Device is used in another window',
    Device_InvalidState: 'Passphrase is incorrect',
    Device_CallInProgress: 'Device call in progress',
    INVALID_PIN_ERROR_MESSAGE: 'PIN invalid',
    confirm: 'Confirm'
  },
  zh: {
    viewAddress: '授权查看地址',
    loaderWarn: '为确保与硬件的连接通信正常，请勿直接刷新此页面',
    loaderTitle: '如果长时间处于「加载中」状态，请按照以下顺序进行问题排查：',
    loaderTips: [{
      tip: '请先退出其它硬件钱包相关软件和页面',
      subtip: [{
        text: '1. 请先退出浏览器中以 KeyPal 域名结尾的浏览器标签页，诸如 connect.keypal.pro 等。'
      }, {
        text: '2. MAC 系统用户在退出 TokenPocket 桌面客户端时，需要在 Dock 栏标签上右击完全退出。'
      }]
    }, {
      tip: '确认是否安装且正确启动 KeyPal Bridge',
      subtip: [{
        text: '1. 确认 KeyPal Bridge 的启动状态，',
        link: '点击这里查看',
        url: 'http://127.0.0.1:25325/status/'
      }, {
        text: '2. windows 系统用户需注意 360安全卫士/360管家等杀毒软件，可能会禁止以及删除 KeyPal Bridge 相关进程，需手动将进程加至白名单或手动启动 KeyPal Bridge 达到通信的目的。' // link: '了解更多',
        // url: 'https://www.baidu.com'

      }]
    }, {
      tip: '关闭其他的 connect.keypal.pro 的浏览器标签页',
      subtip: [{
        text: '请确保同一时间，仅有当前一个 connect.keypal.so 页面正在尝试与硬件通过USB通信。请关闭其他 connect.keypal.so 相关标签页。'
      }]
    }],
    desc1: '如果以上所有方式均已尝试但仍无法解决您的问题，',
    contact: '请点击联系我们',
    desc2: '，向我们描述您的具体情况。',
    warn: '提示',
    warnDesc: '新的 KeyPal Bridge 已经发布',
    updateBridge: '更新KeyPal工具',
    read: '查看KeyPal设备上的公钥',
    readTip: '加载服务器公开信息所需权限',
    allow: '允许',
    permissionsTo: '权限:',
    notAskAgain: '不再询问',
    alwaysAllow: '始终允许该服务',
    allowOnce: '仅允许一次当前会话',
    exportMultiplePublicKeys: '导出多个公钥',
    exportPublicKey1: '导出',
    exportPublicKey2: '的公钥',
    account: '账户',
    installBridgeTitle: '安装最新版KeyPal Bridge工具',
    installBridgeDesc: 'KeyPal Bridge 是一个在浏览器和硬件之间的通讯工具，我们针对KeyPal Bridge修复了一些问题，现在下载最新版，能够完成KeyPal 硬件设备正确和浏览器进行连接',
    installKeypal: '现在安装',
    connectToContinue: '连接 KeyPal 以继续',
    upgradeFirmwareTitle: '固件升级提示',
    upgradeFirmwareDesc: '当前2.1.6及以上版本支持连接插件钱包，请先进行固件升级',
    upgradeFirmware: '升级固件',
    write: '您正在使用KeyPal进行交易和数据签名操作',
    writeTip: '确认后执行操作（如发起交易等）所需权限',
    pinTitle1: '输入',
    pinTitle2: '的PIN码',
    pinDesc: 'PIN码布局显示在您的KeyPal中',
    inputPin: '请输入您的PIN码',
    followDevice: '请按照硬件设备中的提示进行操作',
    cancel: '取消',
    "export": '导出',
    signTransaction: '发起交易',
    enterPin: '输入PIN码',
    connectedDevice: '当前连接设备',
    inactiveDevice: '未激活设备',
    activeDevice: '激活该设备',
    findDevice: '检测到以下设备',
    connectDevice: '连接至该设备',
    paired: '已配对',
    unreadableDevice: '无法读取设备',
    unreadableDeviceWarn: '当前设备无法正常读取，如果您对此设备有疑问，可点击页面底部链接联系我们以获取帮助。',
    connectProblem: '连接时遇到问题？',
    getHelp: '获取帮助',
    linuxUnreadable: '当前设备无法正常读取，需要您在终端中执行相关命令完成设备识别，',
    viewDetail: '查看详情。',
    unreadableDeviceDesc1: '需要您在程序中运行以下命令，以恢复正常连接。您也可以',
    unreadableDeviceDesc2: '联系我们',
    unreadableDeviceDesc3: '获取帮助',
    ok: '好的',
    copy: '复制',
    copied: '复制成功',
    Method_PermissionsNotGranted: '未授权',
    Method_Cancel: '已取消',
    Method_Interrupted: '弹出窗口已关闭',
    Method_UnknownCoin: '未找到代币',
    Method_AddressNotMatch: '钱包地址不匹配',
    Device_NotFound: '未找到设备',
    Device_Disconnected: '设备已断开连接',
    Device_UsedElsewhere: '该设备被另一个窗口使用',
    Device_InvalidState: 'Passphrase错误',
    Device_CallInProgress: '正在识别设备中',
    INVALID_PIN_ERROR_MESSAGE: 'PIN码错误',
    confirm: '确认'
  },
  zh_TW: {
    viewAddress: '授權查看地址',
    loaderWarn: '為確保與硬件的連接通信正常，請勿直接刷新此頁面',
    loaderTitle: '如果長時間處於「加載中」狀態，請按照以下順序進行問題排查：',
    loaderTips: [{
      tip: '請先退出其它硬件錢包相關軟件和頁面',
      subtip: [{
        text: '1. 請先退出瀏覽器中以 KeyPal 域名結尾的瀏覽器標籤頁，諸如 connect.keypal.pro 等。'
      }, {
        text: '2. MAC 系統用戶在退出 TokenPocket 桌面客戶端時，需要在 Dock 欄標籤上右擊完全退出。'
      }]
    }, {
      tip: '確認是否安裝且正確啟動 KeyPal Bridge',
      subtip: [{
        text: '1. 確認 KeyPal Bridge 的啟動狀態，',
        link: '點擊這裡查看',
        url: 'http://127.0.0.1:25325/status/'
      }, {
        text: '2. windows 系統用戶需注意 360安全衛士/360管家等殺毒軟件，可能會禁止以及刪除 KeyPal Bridge 相關進程，需手動將進程加至白名單或手動啟動 KeyPal Bridge 達到通信的目的。' // link: '了解更多',
        // url: 'https://www.baidu.com'

      }]
    }, {
      tip: '關閉其他的 connect.keypal.pro 的瀏覽器標籤頁',
      subtip: [{
        text: '請確保同一時間，僅有當前一個 connect.keypal.so 頁面正在嘗試與硬件通過USB通信。請關閉其他 connect.keypal.so 相關標籤頁。'
      }]
    }],
    desc1: '如果以上所有方式均已嘗試但仍無法解決您的問題，',
    contact: '請點擊聯繫我們',
    desc2: '，向我們描述您的具體情況。',
    warn: '提示',
    warnDesc: '新的 KeyPal Bridge 已經發布',
    updateBridge: '更新KeyPal工具',
    read: '查看KeyPal設備上的公鑰',
    readTip: '加載服務器公開信息所需權限',
    allow: '允許',
    permissionsTo: '權限:',
    notAskAgain: '不再詢問',
    alwaysAllow: '始終允許該服務',
    allowOnce: '僅允許一次當前會話',
    exportMultiplePublicKeys: '導出多個公鑰',
    exportPublicKey1: '導出',
    exportPublicKey2: '的公鑰',
    account: '賬戶',
    installBridgeTitle: '安裝最新版KeyPal Bridge工具',
    installBridgeDesc: 'KeyPal Bridge 是一個在瀏覽器和硬件之間的通訊工具，我們針對KeyPal Bridge修復了一些問題，現在下載最新版，能夠完成KeyPal 硬件設備正確和瀏覽器進行連接',
    installKeypal: '現在安裝',
    connectToContinue: '連接 KeyPal 以繼續',
    upgradeFirmwareTitle: '固件升級提示',
    upgradeFirmwareDesc: '當前2.1.6及以上版本支持連接插件錢包，請先進行固件升級',
    upgradeFirmware: '升級固件',
    write: '您正在使用KeyPal進行交易和數據簽名操作',
    writeTip: '確認後執行操作（如發起交易等）所需權限',
    pinTitle1: '輸入',
    pinTitle2: '的PIN碼',
    pinDesc: 'PIN碼佈局顯示在您的KeyPal中',
    inputPin: '請輸入您的PIN碼',
    followDevice: '請按照硬件設備中的提示進行操作',
    cancel: '取消',
    "export": '導出',
    signTransaction: '發起交易',
    enterPin: '輸入PIN碼',
    connectedDevice: '當前連接設備',
    inactiveDevice: '未激活設備',
    activeDevice: '激活該設備',
    findDevice: '檢測到以下設備',
    connectDevice: '連接至該設備',
    paired: '已配對',
    unreadableDevice: '無法讀取設備',
    unreadableDeviceWarn: '當前設備無法正常讀取，如果您對此設備有疑問，可點擊頁面底部鏈接聯繫我們以獲取幫助。',
    connectProblem: '連接時遇到問題？',
    getHelp: '獲取幫助',
    linuxUnreadable: '當前設備無法正常讀取，需要您在終端中執行相關命令完成設備識別，',
    viewDetail: '查看詳情。',
    unreadableDeviceDesc1: '需要您在程序中運行以下命令，以恢復正常連接。您也可以',
    unreadableDeviceDesc2: '聯繫我們',
    unreadableDeviceDesc3: '獲取幫助',
    ok: '好的',
    copy: '複製',
    copied: '複製成功',
    Method_PermissionsNotGranted: '未授權',
    Method_Cancel: '已取消',
    Method_Interrupted: '彈出窗口已關閉',
    Method_UnknownCoin: '未找到代幣',
    Method_AddressNotMatch: '錢包地址不匹配',
    Device_NotFound: '未找到設備',
    Device_Disconnected: '設備已斷開連接',
    Device_UsedElsewhere: '該設備被另一個窗口使用',
    Device_InvalidState: 'Passphrase錯誤',
    Device_CallInProgress: '正在識別設備中',
    INVALID_PIN_ERROR_MESSAGE: 'PIN碼錯誤',
    confirm: '確認'
  },
  es: {
    viewAddress: 'Autorización para ver direcciones',
    loaderWarn: 'Para garantizar una comunicación eficaz, no actualice directamente',
    loaderTitle: 'Por favor, compruebe lo siguiente si sigue cargando:',
    loaderTips: [{
      tip: 'Salga del software relacionado y de las páginas sobre otro monedero de hardware.',
      subtip: [{
        text: '1. Salga de las pestañas del navegador con nombres de dominio que terminen en KeyPal, como connect.keypal.pro, etc.'
      }, {
        text: '2. Los usuarios del sistema MAC deben hacer clic con el botón derecho en "salir por completo" en el laboratorio del Dock cuando salgan del escritorio de TokenPocket.'
      }]
    }, {
      tip: 'Confirme que KeyPal Bridge está instalado e iniciado',
      subtip: [{
        text: '1. Confirme el estado inicial de KeyPal Bridge, ',
        link: 'haga clic aquí.',
        url: 'http://127.0.0.1:25325/status/'
      }, {
        text: '2. Los usuarios del sistema Windows deben prestar atención a los antivirus, como 360 total security/360 soft, que pueden prohibir o eliminar KeyPal Bridge. Debe agregar KeyPal Bridge a la lista blanca o reiniciarlo para obtener comunicación.' // link: '了解更多',
        // url: 'https://www.baidu.com'

      }]
    }, {
      tip: 'Cerrar otra página con connect.keypal.pro',
      subtip: [{
        text: 'Asegúrese de que solo una página connect.keypal.so esté intentando vincular el hardware a través de USB a la vez. cierre otras páginas de pestañas relacionadas con connect.keypal.so.'
      }]
    }],
    desc1: 'Si se ha intentado todo lo anterior y aún no funciona, ',
    contact: 'comuníquese con nosotros',
    desc2: ' y proporciónenos sus datos.',
    warn: 'Puntas',
    warnDesc: 'Se ha lanzado una nueva versión de KeyPal Bridge',
    updateBridge: 'Actualizar',
    read: 'Leer claves públicas del dispositivo KeyPal',
    readTip: 'Permiso necesario para cargar información pública desde su servidor',
    allow: 'Permitir',
    permissionsTo: 'permiso para:',
    notAskAgain: 'no me preguntes de nuevo',
    alwaysAllow: 'Permitir siempre este servicio',
    allowOnce: 'Permitir una vez para esta sesión',
    exportMultiplePublicKeys: 'Exportar varias claves públicas',
    exportPublicKey1: 'Exportar la clave pública de ',
    exportPublicKey2: 'Exportar la clave pública de ',
    account: 'Cuenta',
    installBridgeTitle: 'Instale la última versión de KeyPal Bridge',
    installBridgeDesc: 'KeyPal Bridge es una herramienta de comunicación entre el navegador y el hardware. Hemos solucionado algunos problemas con él. Ahora descargue la última versión, que puede ayudar al dispositivo de hardware KeyPal a conectarse con el navegador correctamente',
    installKeypal: 'Instalar ahora',
    connectToContinue: 'Conecte KeyPal para continuar',
    upgradeFirmwareTitle: 'Consejos de actualización de firmware',
    upgradeFirmwareDesc: 'La versión 2.1.6 o superior es compatible con la conexión de extensión TokenPocket, actualice su dispositivo de hardware',
    upgradeFirmware: 'Actualización de firmware',
    write: 'Prepare el dispositivo KeyPal para transacciones y firma de datos',
    writeTip: 'Permiso necesario para ejecutar operaciones, como componer una transacción, después de su confirmación',
    pinTitle1: 'Ingrese el PIN para ',
    pinTitle2: '',
    pinDesc: 'El diseño del PIN se muestra en su KeyPal',
    inputPin: 'Por favor ingrese su PIN',
    followDevice: 'Siga las instrucciones en su dispositivo',
    cancel: 'Cancelar',
    "export": 'Exportar',
    signTransaction: 'Firmar transacción',
    enterPin: 'Introduce tu PIN',
    connectedDevice: 'dispositivo conectado',
    inactiveDevice: 'dispositivo inactivo',
    activeDevice: 'Haga clic para activar',
    findDevice: 'Dispositivos detectados',
    connectDevice: 'Conectar',
    paired: 'Emparejado',
    unreadableDevice: 'Dispositivo no reconocido',
    unreadableDeviceWarn: 'No se puede reconocer ahora. Si tiene alguna pregunta al respecto, puede contactarnos haciendo clic en el enlace de la página.',
    connectProblem: '¿Tiene problemas para conectarse?',
    getHelp: 'Consigue ayuda',
    linuxUnreadable: 'No se puede reconocer ahora. Debe ejecutar el código en la computadora para completar el reconocimiento del dispositivo.',
    viewDetail: 'Aprende más.',
    unreadableDeviceDesc1: 'Requiere ejecutar el código en la computadora para completar el reconocimiento del dispositivo. Puedes ',
    unreadableDeviceDesc2: 'Contacta con nosotros',
    unreadableDeviceDesc3: ' para obtener ayuda',
    ok: 'OK',
    copy: 'Copiar',
    copied: 'Copiar con éxito',
    Method_PermissionsNotGranted: 'Permisos no concedidos',
    Method_Cancel: 'Cancelado',
    Method_Interrupted: 'Ventana emergente cerrada',
    Method_UnknownCoin: 'Moneda no encontrada',
    Method_AddressNotMatch: 'Las direcciones no coinciden',
    Device_NotFound: 'Dispositivo no encontrado',
    Device_Disconnected: 'Dispositivo desconectado',
    Device_UsedElsewhere: 'El dispositivo se usa en otra ventana',
    Device_InvalidState: 'La frase de contraseña es incorrecta',
    Device_CallInProgress: 'Llamada de dispositivo en curso',
    INVALID_PIN_ERROR_MESSAGE: 'PIN inválido',
    confirm: 'confirmar'
  },
  ja: {
    viewAddress: 'アドレスを表示する権限',
    loaderWarn: '効果的なコミュニケーションを確保するために、直接更新しないでください',
    loaderTitle: '読み込みを続ける場合は、以下を確認してください。',
    loaderTips: [{
      tip: '関連するソフトウェアと他のハードウェアウォレットに関するページを終了してください',
      subtip: [{
        text: '1. connect.keypal.proなど、KeyPalで終わるドメイン名でブラウザタブを終了してください。'
      }, {
        text: '2. MACシステムのユーザーは、TokenPocketデスクトップを終了するときに、Dockラボで[完全に終了]を右クリックする必要があります。'
      }]
    }, {
      tip: 'KeyPal Bridgeがインストールおよび開始されていることを確認します',
      subtip: [{
        text: '1.KeyPal Bridgeの開始状態を確認します。',
        link: 'ここをクリック。',
        url: 'http://127.0.0.1:25325/status/'
      }, {
        text: '2. Windowsシステムのユーザーは、KeyPal Bridgeを禁止または削除する可能性のある360トータルセキュリティ/360ソフトなどのアンチウイルスに注意を払う必要があります。 KeyPal Bridgeをホワイトリストに追加するか、再起動して通信を行う必要があります。' // link: '了解更多',
        // url: 'https://www.baidu.com'

      }]
    }, {
      tip: 'connect.keypal.proで他のページを閉じる',
      subtip: [{
        text: '一度に1つのconnect.keypal.soページのみがUSBを介してハードウェアをリンクしようとしていることを確認してください。 connect.keypal.soに関連する他のタブページを閉じてください。'
      }]
    }],
    desc1: '上記のすべてを試しても機能しない場合は、',
    contact: 'お問い合わせください',
    desc2: 'して詳細をお知らせください。',
    warn: 'チップ',
    warnDesc: '新しいKeyPal Bridgeバージョンがリリースされました',
    updateBridge: 'アップデート',
    read: 'KeyPalデバイスから公開鍵を読み取る',
    readTip: 'サーバーから公開情報をロードするために必要な権限',
    allow: '',
    permissionsTo: '権限を許可します',
    notAskAgain: '二度と聞かないで',
    alwaysAllow: 'このサービスを常に許可する',
    allowOnce: 'このセッションに1回許可する',
    exportMultiplePublicKeys: '複数の公開鍵をエクスポートする',
    exportPublicKey1: '',
    exportPublicKey2: 'の公開鍵をエクスポートします',
    account: 'アカウント',
    installBridgeTitle: 'KeyPal Bridgeの最新バージョンをインストールします',
    installBridgeDesc: 'KeyPal Bridgeは、ブラウザとハードウェア間の通信ツールです。 いくつかの問題を修正しました。 KeyPalハードウェアデバイスがブラウザに正しく接続するのに役立つ最新バージョンをダウンロードします',
    installKeypal: '今すぐインストール',
    connectToContinue: 'KeyPalを接続して続行します',
    upgradeFirmwareTitle: 'ファームウェアアップグレードのヒント',
    upgradeFirmwareDesc: 'バージョン2.1.6以降はTokenPocket拡張接続をサポートしています。ハードウェアデバイスをアップグレードしてください',
    upgradeFirmware: 'ファームウェアをアップグレードする',
    write: 'KeyPalデバイスをトランザクションおよびデータ署名用に準備します',
    writeTip: '確認後、トランザクションの作成などの操作を実行するために必要な許可',
    pinTitle1: '',
    pinTitle2: 'のPINを入力してください',
    pinDesc: 'PINレイアウトがKeyPalに表示されます',
    inputPin: 'PINを入力してください',
    followDevice: 'デバイスの指示に従ってください',
    cancel: 'キャンセル',
    "export": '書き出す',
    signTransaction: 'トランザクションに署名する',
    enterPin: 'PINを入力してください',
    connectedDevice: '接続されたデバイス',
    inactiveDevice: '非アクティブなデバイス',
    activeDevice: 'クリックしてアクティブ化',
    findDevice: '検出されたデバイス',
    connectDevice: '接続',
    paired: '一致',
    unreadableDevice: '認識されないデバイス',
    unreadableDeviceWarn: '現在は認識できません。 ご不明な点がございましたら、ページのリンクをクリックしてお問い合わせください。',
    connectProblem: '接続に問題がありますか？',
    getHelp: '助けを得ます',
    linuxUnreadable: '現在は認識できません。 デバイスの認識を完了するには、コンピューターでコードを実行する必要があります。',
    viewDetail: 'もっと詳しく知る。',
    unreadableDeviceDesc1: 'デバイスの認識を完了するには、コンピューターでコードを実行する必要があります。 あなたは助けを求めて',
    unreadableDeviceDesc2: 'お問い合わせ',
    unreadableDeviceDesc3: 'することができます',
    ok: 'わかった',
    copy: 'コピー',
    copied: '正常にコピー',
    Method_PermissionsNotGranted: 'デバイスは別のウィンドウで使用されています',
    Method_Cancel: 'キャンセル',
    Method_Interrupted: 'ポップアップが閉じました',
    Method_UnknownCoin: 'コインが見つかりません',
    Method_AddressNotMatch: 'アドレスが一致しません',
    Device_NotFound: 'デバイスが見つかりません',
    Device_Disconnected: 'デバイスが切断されました',
    Device_UsedElsewhere: 'デバイスは別のウィンドウで使用されています',
    Device_InvalidState: 'パスフレーズが正しくない',
    Device_CallInProgress: '進行中のデバイス呼び出し',
    INVALID_PIN_ERROR_MESSAGE: 'PINが無効です',
    confirm: '確認'
  },
  ko: {
    viewAddress: '주소 보기 권한',
    loaderWarn: '효과적인 커뮤니케이션을 위해 직접 새로고침하지 마세요.',
    loaderTitle: '계속 로드할 경우 다음을 확인하십시오.',
    loaderTips: [{
      tip: '관련 소프트웨어 및 기타 하드웨어 지갑에 대한 페이지를 종료하십시오.',
      subtip: [{
        text: '1. connect.keypal.pro 등과 같이 KeyPal로 끝나는 도메인 이름으로 브라우저 탭을 종료하십시오.'
      }, {
        text: '2. MAC 시스템 사용자는 TokenPocket 데스크탑을 종료할 때 Dock 랩에서 \'완전히 종료\'를 마우스 오른쪽 버튼으로 클릭해야 합니다.'
      }]
    }, {
      tip: 'KeyPal Bridge가 설치되고 시작되었는지 확인하십시오.',
      subtip: [{
        text: '1. KeyPal Bridge의 시작 상태를 확인하고, ',
        link: '여기를 클릭하십시오.',
        url: 'http://127.0.0.1:25325/status/'
      }, {
        text: '2. Windows 시스템 사용자는 KeyPal Bridge를 금지하거나 삭제할 수 있는 360 total security/360 soft와 같은 바이러스 백신에 주의해야 합니다. KeyPal Bridge를 화이트리스트에 추가하거나 통신을 받으려면 다시 시작해야 합니다.' // link: '了解更多',
        // url: 'https://www.baidu.com'

      }]
    }, {
      tip: 'connect.keypal.pro로 다른 페이지 닫기',
      subtip: [{
        text: '한 번에 하나의 connect.keypal.so 페이지만 USB를 통해 하드웨어를 연결하려고 하는지 확인하십시오. connect.keypal.so와 관련된 다른 탭 페이지를 닫으십시오.'
      }]
    }],
    desc1: '위의 모든 방법을 시도했지만 여전히 작동하지 않으면 ',
    contact: '연락주세요',
    desc2: '를 사용하여 세부 정보를 알려주십시오.',
    warn: '팁',
    warnDesc: '새로운 KeyPal Bridge 버전이 출시되었습니다',
    updateBridge: '업데이트',
    read: 'KeyPal 장치에서 공개 키 읽기',
    readTip: '서버에서 공개 정보를 로드하는 데 필요한 권한',
    allow: '',
    permissionsTo: '권한 허용: ',
    notAskAgain: '다시 묻지마',
    alwaysAllow: '이 서비스를 항상 허용',
    allowOnce: '이 세션에 대해 한 번 허용',
    exportMultiplePublicKeys: 'Export multiple public keys',
    exportPublicKey1: '',
    exportPublicKey2: '의 공개 키 내보내기',
    account: '계정',
    installBridgeTitle: '최신 버전의 KeyPal Bridge 설치',
    installBridgeDesc: 'KeyPal Bridge는 브라우저와 하드웨어 간의 통신 도구입니다. 몇 가지 문제를 해결했습니다. 이제 KeyPal 하드웨어 장치가 브라우저에 올바르게 연결하는 데 도움이 되는 최신 버전을 다운로드하십시오.',
    installKeypal: '지금 설치',
    connectToContinue: '계속하려면 KeyPal을 연결하십시오',
    upgradeFirmwareTitle: '펌웨어 업그레이드 팁',
    upgradeFirmwareDesc: '버전 2.1.6 이상은 TokenPocket 확장 연결을 지원합니다. 하드웨어 장치를 업그레이드하십시오.',
    upgradeFirmware: '펌웨어 업그레이드',
    write: '거래 및 데이터 서명을 위해 KeyPal 장치 준비',
    writeTip: '귀하의 확인 후 거래 작성 등의 작업을 수행하기 위해 필요한 권한',
    pinTitle1: '',
    pinTitle2: '의 PIN을 입력하세요.',
    pinDesc: 'PIN 레이아웃이 KeyPal에 표시됩니다.',
    inputPin: 'PIN을 입력하세요.',
    followDevice: '기기의 지침을 따르세요',
    cancel: '취소',
    "export": '내보내다',
    signTransaction: '거래 서명',
    enterPin: 'PIN 입력',
    connectedDevice: '연결된 장치',
    inactiveDevice: '비활성 장치',
    activeDevice: '클릭하여 활성화',
    findDevice: '감지된 장치',
    connectDevice: '연결하다',
    paired: '일치',
    unreadableDevice: '인식할 수 없는 장치',
    unreadableDeviceWarn: '지금은 인식할 수 없습니다. 질문이 있는 경우 페이지의 링크를 클릭하여 문의할 수 있습니다.',
    connectProblem: '연결하는 데 문제가 있습니까?',
    getHelp: '도움 받기',
    linuxUnreadable: '지금은 인식할 수 없습니다. 장치 인식을 완료하려면 컴퓨터에서 코드를 실행해야 합니다.',
    viewDetail: '더 알아보기.',
    unreadableDeviceDesc1: '장치 인식을 완료하려면 컴퓨터에서 코드를 실행해야 합니다. 도움이 필요하면 ',
    unreadableDeviceDesc2: '문의하기',
    unreadableDeviceDesc3: '할 수 있습니다.',
    ok: '좋아요',
    copy: '복사',
    copied: '성공적으로 복사',
    Method_PermissionsNotGranted: '권한이 부여되지 않음',
    Method_Cancel: '취소 된',
    Method_Interrupted: '팝업 닫힘',
    Method_UnknownCoin: '코인을 찾을 수 없음',
    Method_AddressNotMatch: '주소가 일치하지 않습니다',
    Device_NotFound: '장치를 찾을 수 없음',
    Device_Disconnected: '기기 연결 해제됨',
    Device_UsedElsewhere: '장치가 다른 창에서 사용 중입니다.',
    Device_InvalidState: '암호가 잘못되었습니다.',
    Device_CallInProgress: '기기 통화 진행 중',
    INVALID_PIN_ERROR_MESSAGE: '잘못된 PIN',
    confirm: '확인하다'
  }
};
var _default = messages;
exports["default"] = _default;