"use strict";

var _hostInfo = require("../../constants/host-info");

var VERSION = '1.0.0';
var versionN = VERSION.split('.').map(function (s) {
  return parseInt(s, 10);
}); // const DIRECTORY = `${ versionN[0] }${ (versionN[1] > 0 ? `.${versionN[1]}` : '') }/`;

var DIRECTORY = versionN[0] + "/"; // const url = `https://extension.keypal.pro/${DIRECTORY}`;

var url = _hostInfo.HOST_URL;
/* Handling messages from usb permissions iframe */

var switchToPopupTab = function switchToPopupTab(event) {
  window.removeEventListener('beforeunload', switchToPopupTab);

  if (!event) {
    // triggered from 'usb-permissions-close' message
    // close current tab
    chrome.tabs.query({
      currentWindow: true,
      active: true
    }, function (current) {
      if (current.length < 0) return;
      chrome.tabs.remove(current[0].id);
    });
  } // find tab by popup pattern and switch to it


  chrome.tabs.query({
    url: url + "popup.html"
  }, function (tabs) {
    if (tabs.length < 0) return;
    chrome.tabs.update(tabs[0].id, {
      active: true
    });
  });
};

window.addEventListener('message', function (event) {
  if (event.data === 'usb-permissions-init1') {
    var iframe = document.getElementById('keypal-usb-permissions');

    if (!iframe || !(iframe instanceof HTMLIFrameElement)) {
      throw new Error('keypal-usb-permissions missing or incorrect dom type');
    }

    iframe.contentWindow.postMessage({
      type: 'usb-permissions-init1',
      extension: chrome.runtime.id
    }, '*');
  } else if (event.data === 'usb-permissions-close') {
    switchToPopupTab();
  }
});
window.addEventListener('beforeunload', switchToPopupTab);
window.addEventListener('load', function () {
  var instance = document.createElement('iframe');
  instance.id = 'keypal-usb-permissions';
  instance.frameBorder = '0';
  instance.width = '100%';
  instance.height = '100%';
  instance.style.border = '0px';
  instance.style.width = '100%';
  instance.style.height = '100%';
  instance.setAttribute('src', url + "extension-permissions.html");
  instance.setAttribute('allow', 'usb');

  if (document.body) {
    document.body.appendChild(instance);
  }
});