"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.initInstallBridgeView = void 0;

var _lang = _interopRequireDefault(require("../../data/lang"));

var _locale = _interopRequireDefault(require("../../utils/locale"));

var _common = require("./common");

var initInstallBridgeView = function initInstallBridgeView(type) {
  var firmwareOutdated = type === 'firmware';
  (0, _common.showView)('install-bridge');
  var installBridgeEl = document.getElementsByClassName('install-bridge')[0];
  var titleEl = installBridgeEl.getElementsByClassName('title')[0];
  var descEl = installBridgeEl.getElementsByClassName('desc')[0];
  var btnEl = installBridgeEl.getElementsByClassName('btn')[0];
  var picEl = installBridgeEl.getElementsByClassName('pic')[0];
  titleEl.innerHTML = firmwareOutdated ? _lang["default"][_locale["default"]]['upgradeFirmwareTitle'] : _lang["default"][_locale["default"]]['installBridgeTitle'];
  descEl.innerHTML = firmwareOutdated ? _lang["default"][_locale["default"]]['upgradeFirmwareDesc'] : _lang["default"][_locale["default"]]['installBridgeDesc'];
  btnEl.innerHTML = firmwareOutdated ? _lang["default"][_locale["default"]]['upgradeFirmware'] : _lang["default"][_locale["default"]]['installKeypal'];
  picEl.style.backgroundImage = firmwareOutdated ? "\"url('.././images/upgrade-firmware.png')\"" : "\"url('.././images/install-bridge.png')\"";

  if (firmwareOutdated) {
    btnEl.setAttribute('href', 'https://connect.keypal.pro/');
  } else {
    btnEl.setAttribute('href', _locale["default"] === 'zh' || _locale["default"] === 'zh_TW' ? 'https://www.keypal.pro/?locale=zh#/firmwareupgrade' : 'https://www.keypal.pro/?locale=en#/firmwareupgrade');
  }
};

exports.initInstallBridgeView = initInstallBridgeView;